

data.raw.container['wooden-chest'].selection_box = {{-0.2,-0.2},{0.2,0.2}}
data.raw.container['wooden-chest'].collision_box = {{-0.2,-0.2},{0.2,0.2}}
data.raw["infinity-container"]["infinity-chest"].collision_box =  {{-0.2,-0.2},{0.2,0.2}}
data.raw["infinity-container"]["infinity-chest"].selection_box =  {{-0.2,-0.2},{0.2,0.2}}


local empty = {
        filename = "__er-one-tile-per-loader-bugreport__/empty32x32.png",
        priority = "high",
        width = 1,
        height = 1,
        frame_count = 1
      }

--NANOLOADER
local nanoloader_entity = {
    name = 'er:nanoloader',
    type = 'loader',
   
    -- selection_box = {{0, 0}, {0, 0}},
    selection_box = {{-0.2, -0.05}, {0.2, 0.05}},
    -- collision_box = {{-0.2, -0.05}, {0.2, 0.05}}, --overlapping on chest corner?
    collision_box = {{-0.1, -0.01}, {0.1, 0.01}},
    
    speed = 0.09375, --blue belt
    -- belt_distance = 0.01, --always connects to the NEXT tile after distance
    -- belt_distance = 0.1, --always connects to the NEXT tile after distance
    belt_distance = 0.01, --always connects to the NEXT tile after distance
    container_distance = 0.25,
    -- container_distance = 0.5,
    -- container_distance = 0.1,
    belt_length = 0.01,
    
    filter_count = 5,
    
    minable = {mining_time = 1, result = "er:nanoloader"},
    
    flags = {"placeable-neutral", "player-creation", "placeable-off-grid"},
    icon = "__base__/graphics/icons/loader.png",
    icon_size = 32,
    
    belt_horizontal = empty,
    belt_vertical = empty,
    ending_top = empty,
    ending_bottom = empty,
    ending_side = empty,
    starting_top = empty,
    starting_bottom = empty,
    starting_side = empty,

    structure =
    {
      direction_in =
      {
        sheet =
        {
          filename = "__er-one-tile-per-loader-bugreport__/nanoloader.png",
          priority = "extra-high",
          width = 32,
          height = 32,
        }
      },
      direction_out =
      {
        sheet =
        {
          filename = "__er-one-tile-per-loader-bugreport__/nanoloader.png",
          priority = "extra-high",
          width = 32,
          height = 32,
          y = 32
        }
      }
    },
    ending_patch = empty,
      -- {
        -- sheet = empty
      -- },
  }
  
local nanoloader_item = util.table.deepcopy(data.raw.item['express-loader'])
nanoloader_item.place_result = 'er:nanoloader'
nanoloader_item.name = 'er:nanoloader'
  
data:extend{nanoloader_entity,nanoloader_item}





















